#
# spec file for package python-zope.testrunner
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-zope.testrunner
Version:        4.4.1
Release:        8.20
Summary:        Zope testrunner script
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://pypi.python.org/pypi/zope.testrunner
Source:         https://pypi.python.org/packages/source/z/zope.testrunner/zope.testrunner-%{version}.zip
BuildRequires:  fdupes
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  unzip
# Test requirements:
#BuildRequires:  python-python-subunit
#BuildRequires:  python-six
#BuildRequires:  python-testtools
#BuildRequires:  python-unittest2
#BuildRequires:  python-zope.interface
#BuildRequires:  python-zope.testing
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This package provides a flexible test runner with layer support.

%prep
%setup -q -n zope.testrunner-%{version}
sed -i "s/zope-testrunner =/zope-testrunner-%{py_ver} =/" setup.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
ln -s  %{_bindir}/zope-testrunner-%{py_ver} %{buildroot}%{_bindir}/zope-testrunner
# Remove duplicate files
%fdupes -s %{buildroot}%{python_sitelib}

#NOTE(saschpe): Check failing tests
#%check
#python setup.py test

%pre
# Since /usr/bin/pybabel became ghosted to be used with update-alternatives, we have to get rid
# of the old binary resulting from the non-update-alternativies-ified package:
[ -h %{_bindir}/zope-testrunner ] || rm -f %{_bindir}/zope-testrunner

%post
update-alternatives --install %{_bindir}/zope-testrunner zope-testrunner %{_bindir}/zope-testrunner-%{py_ver} 20

%preun
if [ $1 -eq 0 ] ; then
    update-alternatives --remove zope-testrunner %{_bindir}/zope-testrunner-%{py_ver}
fi

%files
%defattr(-,root,root,-)
%doc LICENSE.rst README.rst
%ghost %{_bindir}/zope-testrunner
%{_bindir}/zope-testrunner-%{py_ver}
%{python_sitelib}/*

%changelog
* Sat Nov  8 2014 Led <ledest@gmail.com>
- fix bashism in pre script
* Thu Nov 14 2013 p.drouand@gmail.com
- Add update-alternative support
* Wed Nov 13 2013 p.drouand@gmail.com
- Update to version 4.4.1
  + Updated boostrap.py to version 2.2.
  + Fix nondeterministic test failures on Python 3.3
  + Tear down layers after post_mortem debugging is finished.
  + Fix tests that write to source directory, it might be read-only.
- Changes from 4.4.0
  + Fix tests selection when the negative "!" pattern is used several times
    (LP #1160965)
  +  Moved tests into a 'tests' subpackage.
  + Made python -m zope.testrunner work again.
  + Support 'skip' feature of unittest2 (which became the new unittest in Python 2.7).
  + Better diagnostics when communication with subprocess fails
    (https://github.com/zopefoundation/zope.testrunner/issues/5).
  + Do not break subprocess execution when the test suite changes the working
    directory (https://github.com/zopefoundation/zope.testrunner/issues/6).
  + Count test module import errors as errors (LP #1026576).
- Add python-unittest2 and python-zope.interface commented BuildRequires;
  these are new requirements for test but there are still broken
- Add fdupes BuildRequires and use fdupes to remove duplicate files
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Mar 15 2013 speilicke@suse.com
- Initial version
